<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Api\Google;

interface GoogleSheetApiInterface
{
    public function spreadsheet(string $spreadsheetId, array $args = []): array;

    public function sheets(string $spreadsheetId, array $fields = ['sheetId', 'title'], array $params = []): array;

    public function values(string $spreadsheetId, string $range, array $args = []): array;

    public function append(string $spreadsheetId, array $values, string $range, array $params = []): array;
}
